using System.Collections.Generic;
using System;
using System.Drawing;
using System.Diagnostics;
using System.Data;
using System.Collections;
using System.Windows.Forms;
using AR;

namespace vmsnet
{
	public partial class Frm_Win
	{
		
		public HMI.CWINDOW cellidx = null;
		
		public Frm_Win()
		{
			
			// 이 호출은 디자이너에 필요합니다.
			InitializeComponent();
			// InitializeComponent() 호출 뒤에 초기화 코드를 추가하십시오.
		}
		
		public Frm_Win(HMI.CWINDOW pidx)
		{
			// 이 호출은 디자이너에 필요합니다.
			InitializeComponent();
			cellidx = pidx;
			cellidx.OnChangeData += cellidx_OnChangeData;
			// InitializeComponent() 호출 뒤에 초기화 코드를 추가하십시오.
		}
		
		public void Frm_Grp_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e)
		{
			if (e.KeyCode == Keys.Escape)
			{
				this.DialogResult = System.Windows.Forms.DialogResult.OK;
			}
		}
		
		public void Frm_Cell_Load(object sender, System.EventArgs e)
		{
			this.Text = "윈도우(" + cellidx.이름 + ")속성";
			this.PropertyGrid1.SelectedObject = cellidx;
			
			
		}
		
		private void cellidx_OnChangeData()
		{
			bool rlt = System.Convert.ToBoolean(PUBC.UpdateWin(cellidx.IDX, cellidx.이름)); // DCC.ExecuteNonQuery
			if (!rlt)
			{
				UTIL.MsgE($"그룹 정보가 업데이트되지 않았습니다({rlt})");
			}
		}
	}
}
